org.apache.solr.common.params

## Interface CursorMarkParams

    public interface CursorMarkParams

Parameters and constants used when dealing with cursor based requests across large sorted result sets.

### Field Summary

Fields
`static String` `CURSOR_MARK_NEXT` Key used in Solr response to inform the client what the "next" `CURSOR_MARK_PARAM` value should be to continue pagination
`static String` `CURSOR_MARK_PARAM` Param clients should specify indicating that they want a cursor based search.
`static String` `CURSOR_MARK_START` Special value for `CURSOR_MARK_PARAM` indicating that cursor functionality should be used, and a new cursor value should be computed afte the last result, but that currently the "first page" of results is being requested

### Field Detail

#### CURSOR_MARK_PARAM

    static final String CURSOR_MARK_PARAM

Param clients should specify indicating that they want a cursor based search. The value specified must either be `CURSOR_MARK_START` indicating the first page of results, or a value returned by a previous search via the `CURSOR_MARK_NEXT` key.

See Also:
  Constant Field Values

#### CURSOR_MARK_NEXT

    static final String CURSOR_MARK_NEXT

Key used in Solr response to inform the client what the "next" `CURSOR_MARK_PARAM` value should be to continue pagination

See Also:
  Constant Field Values

#### CURSOR_MARK_START

    static final String CURSOR_MARK_START

Special value for `CURSOR_MARK_PARAM` indicating that cursor functionality should be used, and a new cursor value should be computed afte the last result, but that currently the "first page" of results is being requested

See Also:
  Constant Field Values